/* ---------------------------------------------------------------------
File:	mytime.h
Date:	16.1.99
Description: This library contains macros for getting time using
  the routine from the specified software library. By default, time
  will be taken using the system routine gettimeofday().
----------------------------------------------------------------------- */

#include <sys/time.h>

typedef unsigned int CLOCKTYPE;

/* --------------------------------------------------------------------
Macro: GETTIME
Description: Gets system time in a data struct of type timeval (defined
  in <sys/time.h> 
----------------------------------------------------------------------- */
#define GETTIME(tv) ((tv) = TimeNow())

/* --------------------------------------------------------------------
Macro: DIFTIME
Description: Compute the time in microsec between the time passing in
  the data structs tv2 and tv1. The result is giving in t (double).
----------------------------------------------------------------------- */
#define DIFTIME(tv2, tv1, t) t= ((double)((tv2)-(tv1))) / ((double) CLOCK_TICK) 

